CalendarIcon (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.html.iconimages.CalendarIcon class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.iconimages
Class CalendarIcon

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.Java2Dresource
              org.richfaces.renderkit.html.iconimages.CalendarIcon

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

Direct Known Subclasses:
  DisabledCalendarIcon

    public class CalendarIcon

extends org.ajax4jsf.resource.Java2Dresource

Author:
  Maksim Kaszynski

Field Summary

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`CalendarIcon()`

Method Summary
`protected java.lang.Object` | `deserializeData(byte[] objectArray)`
`protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
`java.awt.Dimension` | `getDimensions(javax.faces.context.FacesContext facesContext, java.lang.Object data)`
`protected java.awt.Dimension` | `getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)`
`void` | `paint(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D graphics)`
`protected java.awt.image.BufferedImage` | `paintImage(java.lang.Object[] colors)`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`getImage, getResourceAsStream, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarIcon

    public CalendarIcon()

Method Detail

### getDimensions

    public java.awt.Dimension getDimensions(javax.faces.context.FacesContext facesContext,
                                            java.lang.Object data)

  Overrides:
    `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

### getDimensions

    protected java.awt.Dimension getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)

  Overrides:
    `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

### getDataToStore

    protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                              java.lang.Object data)

  Overrides:
    `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`

### deserializeData

    protected java.lang.Object deserializeData(byte[] objectArray)

  Overrides:
    `deserializeData` in class `org.ajax4jsf.resource.InternetResourceBase`

### paint

    public void paint(org.ajax4jsf.resource.ResourceContext context,
                      java.awt.Graphics2D graphics)

  Overrides:
    `paint` in class `org.ajax4jsf.resource.Java2Dresource`

### paintImage

    protected java.awt.image.BufferedImage paintImage(java.lang.Object[] colors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.